#include "modDiv.h"

void ModDivModule::exe(){

	while(true){
		//wait();
		if(mod_inv.done->read()==true){
			mod_mul_en_sig.write(true);
		}

		if(mod_mul.done->read()==true){
			mod_mul_en_sig.write(false);
		}
		wait();

	}

}